Shop our Airplanes Products Drone Products Sales
Thread Tools
This thread is privately moderated by JimDrew, who may elect to delete unwanted replies.
Old Nov 12, 2009, 10:06 AM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
We will have both options. There is a 4 position connector that needs to be soldered to transmitter module and the display plugs into it. Our biggest concern of course is people disassembling and resassembling their transmitter module. The cable can be eaisly damaged if you are not careful.
RCG Plus Member
Last edited by JimDrew; Nov 12, 2009 at 03:53 PM.
Sign up now
to remove ads between posts
Old Nov 12, 2009, 02:13 PM
Doffen24 is offline
Find More Posts by Doffen24
Registered User
Doffen24's Avatar
That's great news, and yes -I can see your consern.
Maybe make a Youtube "Telemetry Mod 101".

Have the MC19 wich has the open XPS version.
Rather not send it back due to high postal rates.
JE
Old Nov 13, 2009, 01:22 PM
tow is offline
tow
Find More Posts by tow
tow
Registered User
tow's Avatar

How to upgrade


Tried upgrade my RX but updater says "xdp/telemetry station not found. I understand it`s possible to upgrade Recievers... What do I do wrong?
Old Nov 14, 2009, 09:49 AM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
Did you put the receiver into computer programming mode?
RCG Plus Member
Old Nov 14, 2009, 10:09 AM
tow is offline
tow
Find More Posts by tow
tow
Registered User
tow's Avatar
Quote:
Originally Posted by JimDrew View Post
Did you put the receiver into computer programming mode?
Yes I did. The XDP program recognize the reciever but the upgrader program apparently doesn`t. I fail to understand what`s wrong.
Old Nov 14, 2009, 10:15 AM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
Is this with the new v1.7 updater?
RCG Plus Member
Old Nov 14, 2009, 10:17 AM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
Did you quit any program that uses the XDP before launching the updater program?
RCG Plus Member
Old Nov 14, 2009, 10:30 AM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
New XDP software is available!

There is new Rx and Tx firmware available! The latest updater (v1.70) updates the following:

v3.6 firmware for transmitters:

; v3.6 - 10/26/09
;
; Complete re-write of the PPM pulse capturing code. It was possible that
; if a transmitter had a spurious PPM pulse that the frequency hopping
; could become out of sync, resulting in an immediate failsafe. Invalid
; pulses are ignored, frame discarded, and last know good data is used
; instead. This keeps the hopping fully synchronized.
;
; Cleared FIFO on startup to prevent possible firmware mismatch warning.
;
; Added preliminary telemetry support using internal port connector. This
; provides the Rx voltage and RSSI information.


v3.7 firmware for receivers

; v3.7 - 10/21/09
;
; Cleared FIFO on startup to prevent possible firmware mismatch warning.
;
; Added support for changing the telemetry transmission ID so that telemetry
; data can be sent back to the transmitter module directly instead of just
; to the telemetry station. The 3rd programming mode (solid orange) is
; now used to set the "telemetry output mode". Possible options:
;
; 1 flash = Data sent to PC
; 2 flashes = Data sent to transmitter (as well as PC)
; 3 flashes = turn off telemetry output
;
; WARNING!! DO NOT send data to the transmitter if the transmitter firmware
; is less than v3.6!
RCG Plus Member
Old Nov 14, 2009, 10:49 AM
tow is offline
tow
Find More Posts by tow
tow
Registered User
tow's Avatar
Quote:
Originally Posted by JimDrew View Post
Is this with the new v1.7 updater?
the 1.6 updater
Old Nov 14, 2009, 10:53 AM
tow is offline
tow
Find More Posts by tow
tow
Registered User
tow's Avatar
When trying this I get error:"language file is missing or corrupted! Please re-istall this software" Re-installing does not help.
Quote:
Originally Posted by JimDrew View Post
New XDP software is available!

There is new Rx and Tx firmware available! The latest updater (v1.70) updates the following:

v3.6 firmware for transmitters:

; v3.6 - 10/26/09
;
; Complete re-write of the PPM pulse capturing code. It was possible that
; if a transmitter had a spurious PPM pulse that the frequency hopping
; could become out of sync, resulting in an immediate failsafe. Invalid
; pulses are ignored, frame discarded, and last know good data is used
; instead. This keeps the hopping fully synchronized.
;
; Cleared FIFO on startup to prevent possible firmware mismatch warning.
;
; Added preliminary telemetry support using internal port connector. This
; provides the Rx voltage and RSSI information.


v3.7 firmware for receivers

; v3.7 - 10/21/09
;
; Cleared FIFO on startup to prevent possible firmware mismatch warning.
;
; Added support for changing the telemetry transmission ID so that telemetry
; data can be sent back to the transmitter module directly instead of just
; to the telemetry station. The 3rd programming mode (solid orange) is
; now used to set the "telemetry output mode". Possible options:
;
; 1 flash = Data sent to PC
; 2 flashes = Data sent to transmitter (as well as PC)
; 3 flashes = turn off telemetry output
;
; WARNING!! DO NOT send data to the transmitter if the transmitter firmware
; is less than v3.6!
Old Nov 14, 2009, 12:52 PM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
You can not be getting this message with the updater! That text is not included in the updater program. In fact, there is no language support at all. Everything is coded in English.

Close all of your programs that use the XDP. Remove the XDP, plug it back in, and then run the updater.
RCG Plus Member
Old Nov 14, 2009, 12:54 PM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
Also, make sure that you are in ADMINISTRATOR mode when you run the installer program.
RCG Plus Member
Old Nov 14, 2009, 01:49 PM
tow is offline
tow
Find More Posts by tow
tow
Registered User
tow's Avatar
Quote:
Originally Posted by JimDrew View Post
You can not be getting this message with the updater! That text is not included in the updater program. In fact, there is no language support at all. Everything is coded in English.

Close all of your programs that use the XDP. Remove the XDP, plug it back in, and then run the updater.
I`m here talking about the XDP updater.exe program. This is the message I get when trying to run this.
Old Nov 14, 2009, 02:06 PM
tow is offline
tow
Find More Posts by tow
tow
Registered User
tow's Avatar
Problem solved. It turns out the updater program file were stored in the wrong catalog on my PC. My dumb. Too much stress at work this week I guess. It`s all working now, I also can flash to v.3.6. 3.7 I don`t find, but guess all is ok for now. Btw. How can I upgrade my TX module....It`s non-flashable - Do I have to buy a new one?
Old Nov 14, 2009, 02:44 PM
JimDrew is online now
Find More Posts by JimDrew
Xtreme Power Systems
The only way to have it upgraded is by purchasing the v3.x upgrade or purchasing another one, but keep in mind that with the exception of our 3 channel surface receivers and satellite receivers, our proucts do not officially have the ability to be upgraded in the field.
RCG Plus Member


Thread Tools